{ config, lib, pkgs, ... }:

let scripts = (import ../../scripts/clip.nix {
        inherit pkgs;
    });

in (lib.mkIf (config.riley.gui) {

    # Add some shell scripts that abstract away the
    # horrible reality that the clipboard is managed by
    # the display server.
	users.users."riley".packages =
    	with scripts; [
        	c p
    	];
	
})
