{ pkgs, config, lib, ... }:

with lib; {

    imports = [

		./wm
		
		./pulseaudio.nix
		./clipboard.nix
		./statusbar.nix
		./terminal.nix

	];

	options.riley.gui = mkEnableOption "gui applications and window manager";
	
	config = mkIf config.riley.gui {

    	# Graphical applications
    	users.users."riley".packages = with pkgs; [
    		google-chrome
    		tdesktop
    	];
    	
    };
}
