{ theme, lib, pkgs }:

pkgs.writeTextFile (rec {
    name = "colors.kak";
    destination = "/share/kak/colors/${name}";
    text = with theme; ''

        face global comment  rgb:828282

        face global value    rgb:${blue.normal}
        face global string   rgb:${green.normal}
        face global keyword  rgb:${cyan.normal}
        face global operator rgb:${cyan.normal}
        face global function rgb:${cyan.normal}
        face global builtin  rgb:${orange.normal}
        face global module   rgb:${yellow.normal}
        face global meta     rgb:${green.bright}
        face global type     rgb:${blue.bright}

        face global LineNumbers	      rgb:${background.slight}
        face global BufferPadding     rgb:${background.slight}
        face global LineNumberCursor  rgb:${foreground.primary}
        face global crosshairs_line   "default,rgb:212121"
        face global MenuForeground    "default,rgb:${blue.normal}"
        face global MenuBackground	  "default,rgb:313131"

    '';
})
